abuild: fix typos

Typos found with codespell
This commit is contained in:
Samanta Navarro 2021-07-24 11:53:11 +00:00 committed by Natanael Copa
parent a590096e30
commit dc99ce423a
5 changed files with 10 additions and 10 deletions

View File

@ -171,7 +171,7 @@ script as well; see
for more information about install scripts. for more information about install scripts.
.It Cm pkgusers .It Cm pkgusers
Specifies a space-separated list of user logins to create during build-time. Specifies a space-separated list of user logins to create during build-time.
Note that you will ned to create the user logins in a pre-install install Note that you will need to create the user logins in a pre-install install
script as well; see script as well; see
.Sx Install Scripts .Sx Install Scripts
for more information about install scripts. for more information about install scripts.

View File

@ -78,14 +78,14 @@ int fork_exec(char *argv[], int showerr)
return r; return r;
} }
static int aquire_lock(const char *lockfile) static int acquire_lock(const char *lockfile)
{ {
int lockfd = open(lockfile, O_WRONLY|O_CREAT, 0660); int lockfd = open(lockfile, O_WRONLY|O_CREAT, 0660);
if (lockfd < 0) if (lockfd < 0)
err(1, "%s", lockfile); err(1, "%s", lockfile);
if (lockf(lockfd, F_LOCK, 0) == -1) if (lockf(lockfd, F_LOCK, 0) == -1)
err(1, "failed to aquire lock: %s", lockfile); err(1, "failed to acquire lock: %s", lockfile);
return lockfd; return lockfd;
} }
@ -133,7 +133,7 @@ int fetch(char *url, const char *destdir, bool insecure)
snprintf(lockfile, sizeof(lockfile), "%s.lock", outfile); snprintf(lockfile, sizeof(lockfile), "%s.lock", outfile);
snprintf(partfile, sizeof(partfile), "%s.part", outfile); snprintf(partfile, sizeof(partfile), "%s.part", outfile);
lockfd = aquire_lock(lockfile); lockfd = acquire_lock(lockfile);
if (access(outfile, F_OK) == 0) if (access(outfile, F_OK) == 0)
goto fetch_done; goto fetch_done;
@ -180,7 +180,7 @@ int fetch(char *url, const char *destdir, bool insecure)
fetch_done: fetch_done:
release_lock(lockfd); release_lock(lockfd);
// give other processes the chance to aquire the lock if they have the file open // give other processes the chance to acquire the lock if they have the file open
sleep(0); sleep(0);
if (status == 0 || try_lock(lockfd)) if (status == 0 || try_lock(lockfd))

View File

@ -170,7 +170,7 @@ spell_error() {
die "APKBUILD contains '$1'. It should be '$2'" die "APKBUILD contains '$1'. It should be '$2'"
} }
# check if apkbuild is basicly sane # check if apkbuild is basically sane
default_sanitycheck() { default_sanitycheck() {
local i= j= suggestion= local i= j= suggestion=
msg "Checking sanity of $APKBUILD..." msg "Checking sanity of $APKBUILD..."
@ -267,7 +267,7 @@ default_sanitycheck() {
|| die "${i##*/} is missing in checksums" || die "${i##*/} is missing in checksums"
# verify that our source does not have git tag version # verify that our source does not have git tag version
# name as tarball (typicallly github) # name as tarball (typically github)
if is_remote "$i" && [ "${i#*::}" = "$i" ]; then if is_remote "$i" && [ "${i#*::}" = "$i" ]; then
case ${i##*/} in case ${i##*/} in
v$pkgver.tar.*|$pkgver.tar.*) v$pkgver.tar.*|$pkgver.tar.*)
@ -766,7 +766,7 @@ postcheck() {
fi fi
# Alpine Linux as a musl libc distro does not use /lib64 or /usr/lib64 under # Alpine Linux as a musl libc distro does not use /lib64 or /usr/lib64 under
# any circunstance, packages installing to it are 100% sure a packaging error # any circumstance, packages installing to it are 100% sure a packaging error
# except when we are doing GNU Libc compatibility which should be rare enough # except when we are doing GNU Libc compatibility which should be rare enough
# to warrant a lib64 check # to warrant a lib64 check
if ! options_has "lib64"; then if ! options_has "lib64"; then

View File

@ -37,7 +37,7 @@ do_bump() {
( (
set -e set -e
# calculate APKBUILD's path #vim syntax higlight ' # calculate APKBUILD's path #vim syntax highlight '
if [ "${name#*/}" != "$name" ] && ! [ -d "$APORTSDIR/${name%/*}" ]; then if [ "${name#*/}" != "$name" ] && ! [ -d "$APORTSDIR/${name%/*}" ]; then
die "'$p' should be of form 'foo-1.2.3' or 'main/foo-1.2.3'" die "'$p' should be of form 'foo-1.2.3' or 'main/foo-1.2.3'"
fi fi

View File

@ -446,7 +446,7 @@ usage() {
-m Create meson package (Assume meson.build is there) -m Create meson package (Assume meson.build is there)
-p Create perl package (Assume Makefile.PL is there) -p Create perl package (Assume Makefile.PL is there)
-y Create python package (Assume setup.py is there) -y Create python package (Assume setup.py is there)
-r Crate rust package (Assume Cargo.toml is there) -r Create rust package (Assume Cargo.toml is there)
-s Use sourceforge source URL -s Use sourceforge source URL
-c Copy a sample init.d, conf.d, and install script -c Copy a sample init.d, conf.d, and install script
-f Force even if directory already exists -f Force even if directory already exists